slepc-3.21.1 2024-04-26
Report Typos and Errors

# SlepcAbs

Returns sqrt(x**2+y**2), taking care not to cause unnecessary overflow. It is based on LAPACK's DLAPY2.

### Synopsis

    static inline PetscReal SlepcAbs(PetscReal x,PetscReal y)

Not Collective

### Input parameters

| x,y | - the real numbers

### Output parameter

| return | - the result

### Note

This function is not available from Fortran.

### Level

developer

### Location

include/slepcmath.h
Index of all sys routines
Table of Contents for all manual pages
Index of all manual pages